org.apache.poi.hslf.record

## Enum RecordTypes

- java.lang.Object
- - java.lang.Enum<RecordTypes>
  - - org.apache.poi.hslf.record.RecordTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RecordTypes>

      public enum RecordTypes
      extends java.lang.Enum<RecordTypes>

  List of all known record types in a PowerPoint document, and the classes that handle them. There are two categories of records:
- PowerPoint records: 0 <= info <= 10002 (will carry class info)
- Escher records: info >= 0xF000 (handled by DDF, so no class info)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RecordTypes.RecordConstructor<T extends Record>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AnimationInfo`
    `AnimationInfoAtom`
    `BinaryTagData`
    `BookmarkCollection`
    `BookmarkEntityAtom`
    `BookmarkSeedAtom`
    `CharFormatAtom`
    `ColorSchemeAtom`
    `Comment2000`
    `Comment2000Atom`
    `Comment2000Summary`
    `Comment2000SummaryAtom`
    `CompositeMasterId`
    `CString`
    `CurrentUserAtom`
    `DateTimeMCAtom`
    `DefaultRulerAtom`
    `DocRoutingSlip`
    `Document`
    `DocumentAtom`
    `DocumentEncryptionAtom`
    `EndDocument`
    `Environment`
    `ExAviMovie`
    `ExCDAudio`
    `ExCDAudioAtom`
    `ExControl`
    `ExControlAtom`
    `ExEmbed`
    `ExEmbedAtom`
    `ExHyperlink`
    `ExHyperlinkAtom`
    `ExLink`
    `ExLinkAtom`
    `ExMCIMovie`
    `ExMediaAtom`
    `ExMIDIAudio`
    `ExObjList`
    `ExObjListAtom`
    `ExObjRefAtom`
    `ExOleObjAtom`
    `ExOleObjStg`
    `ExQuickTimeMovie`
    `ExQuickTimeMovieData`
    `ExVideoContainer`
    `ExWAVAudioEmbedded`
    `ExWAVAudioEmbeddedAtom`
    `ExWAVAudioLink`
    `FontCollection`
    `FontEmbeddedData`
    `FontEntityAtom`
    `FooterMCAtom`
    `GenericDateMCAtom`
    `GPopublicintAtom`
    `GRatioAtom`
    `GRColorAtom`
    `GScalingAtom`
    `GuideAtom`
    `HandOut`
    `HeadersFooters`
    `HeadersFootersAtom`
    `InteractiveInfo`
    `InteractiveInfoAtom`
    `List`
    `MainMaster`
    `MasterTextPropAtom`
    `MetaFile`
    `NamedShow`
    `NamedShows`
    `NamedShowSlides`
    `Notes`
    `NotesAtom`
    `OEPlaceholderAtom`
    `OriginalMainMasterId`
    `OutlineTextRefAtom`
    `OutlineViewInfo`
    `ParaFormatAtom`
    `PersistPtrFullBlock`
    `PersistPtrIncrementalBlock`
    `PPDrawing`
    `PPDrawingGroup`
    `ProgBinaryTag`
    `ProgStringTag`
    `ProgTags`
    `PrpublicintOptions`
    `RecolorInfoAtom`
    `RoundTripContentMasterId`
    `RoundTripContentMasterInfo12`
    `RoundTripCustomTableStyles12`
    `RoundTripHFPlaceholder12`
    `RoundTripNotesMasterTextStyles12`
    `RoundTripOArtTextStyles12`
    `RoundTripShapeCheckSumForCustomLayouts12`
    `RoundTripShapeId12`
    `RTFDateTimeMCAtom`
    `SheetProperties`
    `Slide`
    `SlideAtom`
    `SlideListWithText`
    `SlideNumberMCAtom`
    `SlidePersistAtom`
    `SlideViewInfo`
    `SlideViewInfoAtom`
    `SorterViewInfo`
    `Sound`
    `SoundCollAtom`
    `SoundCollection`
    `SoundData`
    `SrKinsoku`
    `SrKinsokuAtom`
    `SSDocInfoAtom`
    `SSlideLayoutAtom`
    `SSSlideInfoAtom`
    `StyleTextProp9Atom`
    `StyleTextPropAtom`
    `Summary`
    `TextBookmarkAtom`
    `TextBytesAtom`
    `TextCharsAtom`
    `TextHeaderAtom`
    `TextRulerAtom`
    `TextSpecInfoAtom`
    `TxCFStyleAtom`
    `TxInteractiveInfoAtom`
    `TxMasterStyleAtom`
    `TxPFStyleAtom`
    `TxSIStyleAtom`
    `Unknown`
    `UnknownRecordPlaceholder`
    `UserEditAtom`
    `VBAInfo`
    `VBAInfoAtom`
    `ViewInfo`
    `ViewInfoAtom`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `RecordTypes.RecordConstructor` | `recordConstructor`
    `short` | `typeID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RecordTypes` | `forTypeID(int typeID)`
    `static RecordTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RecordTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final RecordTypes Unknown

    - #### UnknownRecordPlaceholder

          public static final RecordTypes UnknownRecordPlaceholder

    - #### Document

          public static final RecordTypes Document

    - #### DocumentAtom

          public static final RecordTypes DocumentAtom

    - #### EndDocument

          public static final RecordTypes EndDocument

    - #### Slide

          public static final RecordTypes Slide

    - #### SlideAtom

          public static final RecordTypes SlideAtom

    - #### Notes

          public static final RecordTypes Notes

    - #### NotesAtom

          public static final RecordTypes NotesAtom

    - #### Environment

          public static final RecordTypes Environment

    - #### SlidePersistAtom

          public static final RecordTypes SlidePersistAtom

    - #### SSlideLayoutAtom

          public static final RecordTypes SSlideLayoutAtom

    - #### MainMaster

          public static final RecordTypes MainMaster

    - #### SSSlideInfoAtom

          public static final RecordTypes SSSlideInfoAtom

    - #### SlideViewInfo

          public static final RecordTypes SlideViewInfo

    - #### GuideAtom

          public static final RecordTypes GuideAtom

    - #### ViewInfo

          public static final RecordTypes ViewInfo

    - #### ViewInfoAtom

          public static final RecordTypes ViewInfoAtom

    - #### SlideViewInfoAtom

          public static final RecordTypes SlideViewInfoAtom

    - #### VBAInfo

          public static final RecordTypes VBAInfo

    - #### VBAInfoAtom

          public static final RecordTypes VBAInfoAtom

    - #### SSDocInfoAtom

          public static final RecordTypes SSDocInfoAtom

    - #### Summary

          public static final RecordTypes Summary

    - #### DocRoutingSlip

          public static final RecordTypes DocRoutingSlip

    - #### OutlineViewInfo

          public static final RecordTypes OutlineViewInfo

    - #### SorterViewInfo

          public static final RecordTypes SorterViewInfo

    - #### ExObjList

          public static final RecordTypes ExObjList

    - #### ExObjListAtom

          public static final RecordTypes ExObjListAtom

    - #### PPDrawingGroup

          public static final RecordTypes PPDrawingGroup

    - #### PPDrawing

          public static final RecordTypes PPDrawing

    - #### NamedShows

          public static final RecordTypes NamedShows

    - #### NamedShow

          public static final RecordTypes NamedShow

    - #### NamedShowSlides

          public static final RecordTypes NamedShowSlides

    - #### SheetProperties

          public static final RecordTypes SheetProperties

    - #### OriginalMainMasterId

          public static final RecordTypes OriginalMainMasterId

    - #### CompositeMasterId

          public static final RecordTypes CompositeMasterId

    - #### RoundTripContentMasterInfo12

          public static final RecordTypes RoundTripContentMasterInfo12

    - #### RoundTripShapeId12

          public static final RecordTypes RoundTripShapeId12

    - #### RoundTripHFPlaceholder12

          public static final RecordTypes RoundTripHFPlaceholder12

    - #### RoundTripContentMasterId

          public static final RecordTypes RoundTripContentMasterId

    - #### RoundTripOArtTextStyles12

          public static final RecordTypes RoundTripOArtTextStyles12

    - #### RoundTripShapeCheckSumForCustomLayouts12

          public static final RecordTypes RoundTripShapeCheckSumForCustomLayouts12

    - #### RoundTripNotesMasterTextStyles12

          public static final RecordTypes RoundTripNotesMasterTextStyles12

    - #### RoundTripCustomTableStyles12

          public static final RecordTypes RoundTripCustomTableStyles12

    - #### List

          public static final RecordTypes List

    - #### FontCollection

          public static final RecordTypes FontCollection

    - #### BookmarkCollection

          public static final RecordTypes BookmarkCollection

    - #### SoundCollection

          public static final RecordTypes SoundCollection

    - #### SoundCollAtom

          public static final RecordTypes SoundCollAtom

    - #### Sound

          public static final RecordTypes Sound

    - #### SoundData

          public static final RecordTypes SoundData

    - #### BookmarkSeedAtom

          public static final RecordTypes BookmarkSeedAtom

    - #### ColorSchemeAtom

          public static final RecordTypes ColorSchemeAtom

    - #### ExObjRefAtom

          public static final RecordTypes ExObjRefAtom

    - #### OEPlaceholderAtom

          public static final RecordTypes OEPlaceholderAtom

    - #### GPopublicintAtom

          public static final RecordTypes GPopublicintAtom

    - #### GRatioAtom

          public static final RecordTypes GRatioAtom

    - #### OutlineTextRefAtom

          public static final RecordTypes OutlineTextRefAtom

    - #### TextHeaderAtom

          public static final RecordTypes TextHeaderAtom

    - #### TextCharsAtom

          public static final RecordTypes TextCharsAtom

    - #### StyleTextPropAtom

          public static final RecordTypes StyleTextPropAtom

    - #### MasterTextPropAtom

          public static final RecordTypes MasterTextPropAtom

    - #### TxMasterStyleAtom

          public static final RecordTypes TxMasterStyleAtom

    - #### TxCFStyleAtom

          public static final RecordTypes TxCFStyleAtom

    - #### TxPFStyleAtom

          public static final RecordTypes TxPFStyleAtom

    - #### TextRulerAtom

          public static final RecordTypes TextRulerAtom

    - #### TextBookmarkAtom

          public static final RecordTypes TextBookmarkAtom

    - #### TextBytesAtom

          public static final RecordTypes TextBytesAtom

    - #### TxSIStyleAtom

          public static final RecordTypes TxSIStyleAtom

    - #### TextSpecInfoAtom

          public static final RecordTypes TextSpecInfoAtom

    - #### DefaultRulerAtom

          public static final RecordTypes DefaultRulerAtom

    - #### StyleTextProp9Atom

          public static final RecordTypes StyleTextProp9Atom

    - #### FontEntityAtom

          public static final RecordTypes FontEntityAtom

    - #### FontEmbeddedData

          public static final RecordTypes FontEmbeddedData

    - #### CString

          public static final RecordTypes CString

    - #### MetaFile

          public static final RecordTypes MetaFile

    - #### ExOleObjAtom

          public static final RecordTypes ExOleObjAtom

    - #### SrKinsoku

          public static final RecordTypes SrKinsoku

    - #### HandOut

          public static final RecordTypes HandOut

    - #### ExEmbed

          public static final RecordTypes ExEmbed

    - #### ExEmbedAtom

          public static final RecordTypes ExEmbedAtom

    - #### ExLink

          public static final RecordTypes ExLink

    - #### BookmarkEntityAtom

          public static final RecordTypes BookmarkEntityAtom

    - #### ExLinkAtom

          public static final RecordTypes ExLinkAtom

    - #### SrKinsokuAtom

          public static final RecordTypes SrKinsokuAtom

    - #### ExHyperlinkAtom

          public static final RecordTypes ExHyperlinkAtom

    - #### ExHyperlink

          public static final RecordTypes ExHyperlink

    - #### SlideNumberMCAtom

          public static final RecordTypes SlideNumberMCAtom

    - #### HeadersFooters

          public static final RecordTypes HeadersFooters

    - #### HeadersFootersAtom

          public static final RecordTypes HeadersFootersAtom

    - #### TxInteractiveInfoAtom

          public static final RecordTypes TxInteractiveInfoAtom

    - #### CharFormatAtom

          public static final RecordTypes CharFormatAtom

    - #### ParaFormatAtom

          public static final RecordTypes ParaFormatAtom

    - #### RecolorInfoAtom

          public static final RecordTypes RecolorInfoAtom

    - #### ExQuickTimeMovie

          public static final RecordTypes ExQuickTimeMovie

    - #### ExQuickTimeMovieData

          public static final RecordTypes ExQuickTimeMovieData

    - #### ExControl

          public static final RecordTypes ExControl

    - #### SlideListWithText

          public static final RecordTypes SlideListWithText

    - #### InteractiveInfo

          public static final RecordTypes InteractiveInfo

    - #### InteractiveInfoAtom

          public static final RecordTypes InteractiveInfoAtom

    - #### UserEditAtom

          public static final RecordTypes UserEditAtom

    - #### CurrentUserAtom

          public static final RecordTypes CurrentUserAtom

    - #### DateTimeMCAtom

          public static final RecordTypes DateTimeMCAtom

    - #### GenericDateMCAtom

          public static final RecordTypes GenericDateMCAtom

    - #### FooterMCAtom

          public static final RecordTypes FooterMCAtom

    - #### ExControlAtom

          public static final RecordTypes ExControlAtom

    - #### ExMediaAtom

          public static final RecordTypes ExMediaAtom

    - #### ExVideoContainer

          public static final RecordTypes ExVideoContainer

    - #### ExAviMovie

          public static final RecordTypes ExAviMovie

    - #### ExMCIMovie

          public static final RecordTypes ExMCIMovie

    - #### ExMIDIAudio

          public static final RecordTypes ExMIDIAudio

    - #### ExCDAudio

          public static final RecordTypes ExCDAudio

    - #### ExWAVAudioEmbedded

          public static final RecordTypes ExWAVAudioEmbedded

    - #### ExWAVAudioLink

          public static final RecordTypes ExWAVAudioLink

    - #### ExOleObjStg

          public static final RecordTypes ExOleObjStg

    - #### ExCDAudioAtom

          public static final RecordTypes ExCDAudioAtom

    - #### ExWAVAudioEmbeddedAtom

          public static final RecordTypes ExWAVAudioEmbeddedAtom

    - #### AnimationInfo

          public static final RecordTypes AnimationInfo

    - #### AnimationInfoAtom

          public static final RecordTypes AnimationInfoAtom

    - #### RTFDateTimeMCAtom

          public static final RecordTypes RTFDateTimeMCAtom

    - #### ProgTags

          public static final RecordTypes ProgTags

    - #### ProgStringTag

          public static final RecordTypes ProgStringTag

    - #### ProgBinaryTag

          public static final RecordTypes ProgBinaryTag

    - #### BinaryTagData

          public static final RecordTypes BinaryTagData

    - #### PrpublicintOptions

          public static final RecordTypes PrpublicintOptions

    - #### PersistPtrFullBlock

          public static final RecordTypes PersistPtrFullBlock

    - #### PersistPtrIncrementalBlock

          public static final RecordTypes PersistPtrIncrementalBlock

    - #### GScalingAtom

          public static final RecordTypes GScalingAtom

    - #### GRColorAtom

          public static final RecordTypes GRColorAtom

    - #### Comment2000

          public static final RecordTypes Comment2000

    - #### Comment2000Atom

          public static final RecordTypes Comment2000Atom

    - #### Comment2000Summary

          public static final RecordTypes Comment2000Summary

    - #### Comment2000SummaryAtom

          public static final RecordTypes Comment2000SummaryAtom

    - #### DocumentEncryptionAtom

          public static final RecordTypes DocumentEncryptionAtom

  - ### Field Detail

    - #### typeID

          public final short typeID

    - #### recordConstructor

          public final RecordTypes.RecordConstructor recordConstructor

  - ### Method Detail

    - #### values

          public static RecordTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecordTypes c : RecordTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecordTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forTypeID

          public static RecordTypes forTypeID(int typeID)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.